#!/bin/bash

 # Générateur aléatoire trouvé sur le forum comment ca marche !
function Generateur ()
{
M="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
while [ "${n:=1}" -le "10" ]
do  pass="$pass${M:$(($RANDOM%${#M})):1}"
  let n+=1
done
echo "$pass"
}

export labGen="<b>`Generateur`  `Generateur`</b>"

FICH_MAIL="data/Mail.txt"
FICH_WEB="data/Web.txt"
FICH_FINA="data/Fina.txt"
FICH_MAIL_SAUV="sauvegarde/Mail.txt"
FICH_WEB_SAUV="sauvegarde/Web.txt"
FICH_FINA_SAUV="sauvegarde/Fina.txt"
DOSS_SAUV="sauvegarde"
DOSS_DATA="data"

until [ "$SIG" = "1" ] #tant que le bouton quitter n'est pas cliqué
do
# export des fichiers de mot de passe. Genre mail.
export label1=`cut -d "'" -f2 $FICH_MAIL | tr -d "\'"`
export label2=`cut -d "'" -f4 $FICH_MAIL | tr -d "\'"`
export label3=`cut -d "'" -f6 $FICH_MAIL | tr -d "\'"`

# export des fichiers de mot de passe. Genre web.
export label6=`cut -d "'" -f2 data/Web.txt | tr -d "\'"`
export label9=`cut -d "'" -f4 data/Web.txt | tr -d "\'"`
export label10=`cut -d "'" -f6 data/Web.txt | tr -d "\'"`

# export des fichiers de mot de passe. Genre finance.
export label11=`cat data/Fina.txt | cut -d "'" -f2 | tr -d "\'"`
export label12=`cat data/Fina.txt | cut -d "'" -f4 | tr -d "\'"`
export label13=`cat data/Fina.txt | cut -d "'" -f6 | tr -d "\'"`


# Lance l'interface via autoglade et met le resultat dans la variable Interface
Interface=`autoglade CONF/StockMdP1.glade`
SIG=$?

case $SIG in
   7) #bouton sauvegarder cliqué. Signal émit -7
    cp $FICH_MAIL $FICH_WEB $FICH_FINA $DOSS_SAUV;;
   6)#bouton recharger cliqué. Signal émit -6
    cp $FICH_MAIL_SAUV $FICH_WEB_SAUV $FICH_FINA_SAUV $DOSS_DATA;;
   0) #tout bouton avec signal -5

#Change l'intervalle par defaut. Les resultats dans $Interface sont séparés par un
#espace, pour utiliser grep, on inidique donc l'intervalle par defaut,un espace.
#    Exemple: $Interface="toggMail='False' toggWeb='True' toggFina='False' entry1='aaa
#' entry2='dddd' entry3='eeee' checkEdit='False' toggAjout='True' autoargs='$toggMail
# $toggWeb $toggFina $entry1 $entry2 $entry3 $checkEdit $toggAjout'"
IFS=" "

# Cherche les variable avec argument "True"
true=`echo $Interface | grep True`

# cherche la section concerné (web,mail ou fina)
var=`echo $true | grep togg | cut -d "=" -f1 | sed 's/togg//'`
fichier="data/$var.txt"

# Le 'if' qui suit n'est pas necessaire, mais il permet de verifier qd meme si le
# bouton 'Ajouter une entrée' est bien enfoncé. Grep -q donne un signal en retour
if echo $true | grep -q Ajout; then

        # Si le bouton "Editer avec Gedit" est enfoncé.
         if echo $true | grep -q Edit; then
             gedit $fichier
          else
               #recupere les entrées utilisateur et les mets a la suite du fichier correpondant
               intitul=`echo $Interface | grep entry1= | cut -d "=" -f2`
               identif=`echo $Interface | grep entry2= | cut -d "=" -f2`
               MotPass=`echo $Interface | grep entry3= | cut -d "=" -f2`
                 echo $intitul $identif $MotPass >> $fichier
          fi
fi;;
esac
done
exit
